## org.apache.mahout.math
Interface QR

All Known Implementing Classes:
  OldQRDecomposition, QRDecomposition

    public interface QR

Method Summary
`Matrix` `getQ()`
`Matrix` `getR()`
`boolean` `hasFullRank()`
`Matrix` `solve(Matrix B)`

Method Detail

### getQ

    Matrix getQ()

### getR

    Matrix getR()

### hasFullRank

    boolean hasFullRank()

### solve

    Matrix solve(Matrix B)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.